import os
import io
from edosl0util.cli import util
from edosl0util import trunc


def main():
    parser = util.default_parser()
    parser.add_argument("-o", "--output")
    parser.add_argument("filename")
    parser.add_argument("start", type=util.timestamp, help="YYYY-MM-DD HH:MM:SS")
    parser.add_argument("end", type=util.timestamp, help="YYYY-MM-DD HH:MM:SS")
    args = parser.parse_args()
    util.configure_logging(args)

    output = args.output or os.path.basename(args.filename) + ".trunc"
    with io.open(output, "wb") as fptr:
        for pkt in trunc.trunc_file(args.filename, args.start, args.end):
            fptr.write(pkt.bytes())


if __name__ == "__main__":
    main()
